Bug 31542 - [Qt] Update the plugins manual test to help test show/hide
: [Qt] Update the plugins manual test to help test show/hide
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Plug-ins
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To: Nobody
: Qt
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-16 03:55 PST by Girish Ramakrishnan
Modified: 2009-11-21 02:05 PST (History)
3 users (show)

See Also:


Attachments
Add button to test css display with plugins (3.05 KB, patch)
2009-11-16 03:58 PST, Girish Ramakrishnan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Girish Ramakrishnan 2009-11-16 03:55:19 PST
Helps to check if the plugin really hides/shows correctly.
Comment 1 Girish Ramakrishnan 2009-11-16 03:58:54 PST
Created attachment 43289 [details]
Add button to test css display with plugins
Comment 2 Kenneth Rohde Christiansen 2009-11-16 05:18:36 PST
Girish will try to change this into a real layout test.
Comment 3 Eric Seidel 2009-11-18 15:40:08 PST
Comment on attachment 43289 [details]
Add button to test css display with plugins

Looks sane to me.
Comment 4 WebKit Commit Bot 2009-11-18 17:00:47 PST
Comment on attachment 43289 [details]
Add button to test css display with plugins

Clearing flags on attachment: 43289

Committed r51157: <http://trac.webkit.org/changeset/51157>
Comment 5 WebKit Commit Bot 2009-11-18 17:00:53 PST
All reviewed patches have been landed.  Closing bug.
Comment 6 Antonio Gomes 2009-11-20 19:20:43 PST
(In reply to comment #2)
> Girish will try to change this into a real layout test.

girish, i believe it will be done in another bug (?)
Comment 7 Girish Ramakrishnan 2009-11-21 02:05:07 PST
(In reply to comment #6)
> (In reply to comment #2)
> > Girish will try to change this into a real layout test.
> 
> girish, i believe it will be done in another bug (?)

Probably, but many of the things are actually already automated. I am not sure how I can test if a plugin does hide/show correctly and if everything is laid out correctly, other than a manual test.